/*
 *  DSKeychainInfo.h
 *  MailDelivery
 *
 *  Created by darkshadow on 8/12/07.
 *  Copyright 2007 Night Productions. All rights reserved.
 *
 */

#ifndef _DS_KEYCHAIN_INFO_H
#define _DS_KEYCHAIN_INFO_H 1

#include <CoreFoundation/CoreFoundation.h>
#include <Security/Security.h>

#if defined(__cplusplus )
extern "C" {
#endif

extern const CFStringRef kDSServerURLKey;
extern const CFStringRef kDSDisplayKey;
extern const CFStringRef kDSUserKey;
extern const CFStringRef kDSPasswordKey;
extern const CFStringRef kDSPlainKey;

CFArrayRef smtpServers( void );
CFArrayRef dotMacServers( void );
Boolean keychainDataForUserAndPath( CFStringRef user, CFStringRef server, CFStringRef path, UInt16 port, SecProtocolType protocol, void **passwordData, UInt32 *passwordLength, SecKeychainItemRef *itemRef );
Boolean keychainDataForUserAndService( CFStringRef user, CFStringRef service, void **passwordData, UInt32 *passwordLength, SecKeychainItemRef *itemRef );
Boolean addNewSMTPServerToKeychain( CFStringRef user, CFStringRef server, CFStringRef path, CFStringRef password, UInt16 port );
CFDictionaryRef infoForAddressAndServer( CFStringRef eAddress, CFURLRef server );
CFDictionaryRef infoForUserAndPassword( CFStringRef userName, CFStringRef password );

#if defined(_cplusplus )
}
#endif

#endif /* _DS_KEYCHAIN_INFO_H */
